Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.io.support
Class PropertiesLoaderUtils

    java.lang.Object
      org.springframework.core.io.support.PropertiesLoaderUtils

    public abstract class PropertiesLoaderUtils

extends java.lang.Object

Convenient utility methods for loading of `java.util.Properties`, performing standard handling of input streams.

For more configurable properties loading, including the option of a customized encoding, consider using the PropertiesLoaderSupport class.

Since:
  2.0
Author:
  Juergen Hoeller, Rob Harrop
See Also:
  `PropertiesLoaderSupport`

Constructor Summary
`PropertiesLoaderUtils()`

Method Summary
`static void` | `fillProperties(java.util.Properties props, Resource resource)` Fill the given properties from the given resource.
`static java.util.Properties` | `loadAllProperties(java.lang.String resourceName)` Load all properties from the given class path resource, using the default class loader.
`static java.util.Properties` | `loadAllProperties(java.lang.String resourceName, java.lang.ClassLoader classLoader)` Load all properties from the given class path resource, using the given class loader.
`static java.util.Properties` | `loadProperties(Resource resource)` Load properties from the given resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesLoaderUtils

    public PropertiesLoaderUtils()

Method Detail

### loadProperties

    public static java.util.Properties loadProperties(Resource resource)
                                               throws java.io.IOException

  Load properties from the given resource.

  Parameters:
    `resource` - the resource to load from
  Returns:
    the populated Properties instance
  Throws:
    `java.io.IOException` - if loading failed

### fillProperties

    public static void fillProperties(java.util.Properties props,
                                      Resource resource)
                               throws java.io.IOException

  Fill the given properties from the given resource.

  Parameters:
    `props` - the Properties instance to fill
    `resource` - the resource to load from
  Throws:
    `java.io.IOException` - if loading failed

### loadAllProperties

    public static java.util.Properties loadAllProperties(java.lang.String resourceName)
                                                  throws java.io.IOException

  Load all properties from the given class path resource, using the default class loader.

  Merges properties if more than one resource of the same name found in the class path.

  Parameters:
    `resourceName` - the name of the class path resource
  Returns:
    the populated Properties instance
  Throws:
    `java.io.IOException` - if loading failed

### loadAllProperties

    public static java.util.Properties loadAllProperties(java.lang.String resourceName,
                                                         java.lang.ClassLoader classLoader)
                                                  throws java.io.IOException

  Load all properties from the given class path resource, using the given class loader.

  Merges properties if more than one resource of the same name found in the class path.

  Parameters:
    `resourceName` - the name of the class path resource
    `classLoader` - the ClassLoader to use for loading (or `null` to use the default class loader)
  Returns:
    the populated Properties instance
  Throws:
    `java.io.IOException` - if loading failed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD